collaborative Protection Profile for Network Devices v3.0e

Profile details

Status active
Valid from 06.12.2023
Valid until N/A
Scheme ❌ N/A
Category Network and Network-Related Devices and Systems
Security level None

Certification report

Extracted keywords

Symmetric Algorithms
AES
Protocols
SSH, TLS, DTLS, IKE, IPsec, VPN

Claims
O.IPS_ANALYZE, O.IPS_REACT, O.SYSTEM_MONITORING, O.TOE_ADMINISTRATION, O.RESIDUAL_INFORMATION, O.STATEFUL_TRAFFIC_FILTERING, O.ADDRESS_FILTERING, O.AUTHENTICATION, O.CRYPTOGRAPHIC_FUNCTIONS, O.FAIL_SECURE, O.PORT_FILTERING, T.SECURITY_FUNCTIONALITY_COM, T.SECURITY_FUNCTIONALITY_FAIL, T.UNAUTHORIZED_ADMINISTRATO, T.UNDETECTED_ACTIVITY, T.UNTRUSTED_COMMUNICATION_, T.UPDATE_COMPROMISE, T.WEAK_AUTHENTICATION_ENDPO, T.WEAK_CRYPTOGRAPHY, T.NETWORK_ACCESS, T.NETWORK_DISCLOSURE, T.NETWORK_DOS, T.NETWORK_MISUSE, T.MALICIOUS_TRAFFIC, T.DATA_INTEGRITY, T.REPLAY_ATTACK, A.ADMIN_CREDENTIALS_SECURE, A.COMPONENTS_RUNNING, A.LIMITED_FUNCTIONALITY, A.NO_THRU_TRAFFIC_PROTECTION, A.PHYSICAL_PROTECTION, A.REGULAR_UPDATES, A.RESIDUAL_INFORMATION, A.TRUSTED_ADMINISTRATOR, A.VS_CORRECT_CONFIGURATION, A.VS_ISOLATION, A.VS_REGULAR_UPDATES, A.VS_TRUSTED_ADMINISTRATOR, A.CONNECTIONS, OE.ADMIN_CREDENTIALS_SECURE, OE.COMPONENTS_RUNNING, OE.NO_GENERAL_PURPOSE, OE.NO_THRU_TRAFFIC_PROTECTIO, OE.PHYSICAL, OE.RESIDUAL_INFORMATION, OE.TRUSTED_ADMIN, OE.UPDATES, OE.VM_CONFIGURATION, OE.NO_THRU_TRAFFIC_PROTECTION, OE.CONNECTIONS
Security Assurance Requirements (SAR)
ACE_REQ, ACE_INT.1, ACE_CCL.1, ACE_SPD.1, ACE_OBJ.1, ACE_ECD.1, ACE_REQ.1, ACE_CCO.1, ACE_MCO.1, APE_REQ, APE_INT.1, APE_CCL.1, APE_SPD.1, APE_OBJ.1, APE_ECD.1, APE_REQ.1
Security Functional Requirements (SFR)
FAU_GEN, FAU_STG_EXT, FAU_GEN.1, FAU_STG, FAU_ARP, FAU_SAR, FAU_GEN_EXT, FCO_CPC_EXT, FCS_CKM, FCS_COP, FCS_RBG_EXT, FCS_TLSC_EXT, FCS_TLSS_EXT, FCS_NTP_EXT, FCS_SSHC_EXT, FCS_EAP_EXT, FDP_RIP.2, FDP_RIP, FIA_UIA_EXT, FIA_AFL, FIA_PMG_EXT, FIA_UAU, FIA_HOTP_EXT, FIA_PSK_EXT, FIA_TOTP_EXT, FMT_SMF, FMT_MOF, FMT_MTD, FMT_SMR, FPT_SKP_EXT, FPT_STM_EXT, FPT_TST_EXT, FPT_TUD_EXT, FPT_FLS, FPT_ITT, FPT_APW_EXT, FRU_RSA, FTA_SSL, FTA_TAB, FTA_TSE, FTA_VCM_EXT, FTA_SSL_EXT, FTP_ITC.1, FTP_TRP, FTP_ITC
Evaluation facilities
Leidos

Standards
X.509

Protection profile

Extracted keywords

Symmetric Algorithms
AES, HMAC, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512
Asymmetric Algorithms
ECDHE, ECDH, ECDSA, ECC, DH, DHE, Diffie-Hellman, DSA
Hash functions
SHA-1, SHA1, SHA-256, SHA-384, SHA-512, SHA384, SHA256, SHA512, SHA-2
Schemes
MAC, Key Agreement, AEAD
Protocols
SSH, SSL, TLS, TLS 1.2, TLS 1.3, DTLS, DTLS 1.2, DTLS 1.3, IKEv1, IKEv2, IKE, IPsec, VPN
Randomness
DRBG, RBG
Block cipher modes
CBC, CTR, GCM
TLS cipher suites
TLS_RSA_WITH_AES_128_CBC_SHA, TLS_RSA_WITH_AES_256_CBC_SHA, TLS_DHE_RSA_WITH_AES_128_CBC_SHA, TLS_DHE_RSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA256, TLS_RSA_WITH_AES_256_CBC_SHA256, TLS_DHE_RSA_WITH_AES_128_CBC_SHA256, TLS_DHE_RSA_WITH_AES_256_CBC_SHA256, TLS_RSA_WITH_AES_128_GCM_SHA256, TLS_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_RSA_WITH_AES_128_GCM_SHA256, TLS_DHE_RSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384

Claims
T.UNAUTHORIZED_ADMINISTRATOR_ACCESS, T.UNDETECTED_ACTIVITY, T.WEAK_CRYPTOGRAPHY, T.UNTRUSTED_COMMUNICATION_CHANNELS, T.WEAK_AUTHENTICATION_ENDPOINTS, T.UPDATE_COMPROMISE, T.SECURITY_FUNCTIONALITY_COMPROMISE, T.SECURITY_FUNCTIONALITY_FAILURE, A.PHYSICAL_PROTECTION, A.LIMITED_FUNCTIONALITY, A.NO_THRU_TRAFFIC_PROTECTION, A.TRUSTED_ADMINISTRATOR, A.REGULAR_UPDATES, A.ADMIN_CREDENTIALS_SECURE, A.COMPONENTS_RUNNING, A.RESIDUAL_INFORMATION, A.VS_TRUSTED_ADMINISTRATOR, A.VS_REGULAR_UPDATES, A.VS_ISOLATION, A.VS_CORRECT_CONFIGURATION, OE.PHYSICAL, OE.NO_GENERAL_PURPOSE, OE.NO_THRU_TRAFFIC_PROTECTION, OE.TRUSTED_ADMIN, OE.UPDATES, OE.ADMIN_CREDENTIALS_SECURE, OE.COMPONENTS_RUNNING, OE.RESIDUAL_INFORMATION, OE.VM_CONFIGURATION
Security Assurance Requirements (SAR)
ADV_FSP.1, AGD_OPE.1, AGD_PRE.1, AGD_OPE, ALC_CMC.1, ALC_CMS.1, ALC_FLR, ALC_FLR.1, ALC_FLR.2, ALC_FLR.3, ATE_IND.1, ATE_IND, AVA_VAN.1, AVA_VAN, APE_CCL.1, APE_ECD.1, APE_INT.1, APE_OBJ.1, APE_REQ.1, APE_SPD.1, ASE_TSS.1, ASE_CCL.1, ASE_ECD.1, ASE_INT.1, ASE_OBJ.1, ASE_REQ.1, ASE_SPD.1
Security Functional Requirements (SFR)
FAU_GEN, FAU_STG_EXT, FAU_STG.1, FAU_GEN_EXT, FAU_GEN.1, FAU_GEN.2, FAU_GEN_EXT.1, FAU_STG_EXT.1, FAU_STG_EXT.2, FAU_STG_EXT.3, FAU_STG_EXT.4, FAU_STG_EXT.5, FAU_GEN.1.1, FAU_GEN.1.2, FAU_GEN.2.1, FAU_STG_EXT.1.1, FAU_STG_EXT.1.2, FAU_STG_EXT.1.3, FAU_STG_EXT.1.4, FAU_STG_EXT.1.5, FAU_STG_EXT.1.6, FAU_STG.1.1, FAU_STG.1.2, FAU_STG_EXT.2.1, FAU_STG_EXT.3.1, FAU_GEN_EXT.1.1, FAU_STG_EXT.4.1, FAU_STG_EXT.5.1, FCO_CPC_EXT, FCO_CPC_EXT.1, FCO_CPC_EXT.1.2, FCO_CPC_EXT.1.1, FCO_CPC_EXT.1.3, FCS_CKM, FCS_COP, FCS_RBG_EXT, FCS_TLSC_EXT, FCS_TLSS_EXT, FCS_NTP_EXT, FCS_CKM.1, FCS_CKM.2, FCS_CKM.4, FCS_NTP_EXT.1, FCS_TLSC_EXT.1, FCS_TLSC_EXT.2, FCS_TLSS_EXT.1, FCS_TLSS_EXT.2, FCS_RBG_EXT.1, FCS_CKM.1.1, FCS_CKM.2.1, FCS_TLSS_EXT.1.3, FCS_TLSC_EXT.1.4, FCS_CKM.4.1, FCS_COP.1, FCS_RBG_EXT.1.1, FCS_RBG_EXT.1.2, FCS_TLSC_EXT.1.2, FCS_TLSC_EXT.2.1, FCS_TLSS_EXT.2.1, FCS_TLSS_EXT.2.2, FCS_TLSS_EXT.2.3, FCS_TLSS_EXT.2.4, FCS_NTP_EXT.1.1, FCS_NTP_EXT.1.2, FCS_NTP_EXT.1.3, FCS_NTP_EXT.1.4, FCS_TLSC_EXT.1.1, FCS_TLSC_EXT.1.3, FCS_TLSC_EXT.1.5, FCS_TLSC_EXT.1.6, FCS_TLSC_EXT.1.7, FCS_TLSC_EXT.1.8, FCS_TLSC_EXT.1.9, FCS_TLSS_EXT.1.1, FCS_TLSS_EXT.1.2, FCS_TLSS_EXT.1.4, FCS_TLSS_EXT.1.5, FCS_TLSS_EXT.1.6, FCS_TLSS_EXT.1.7, FCS_TLSS_EXT.1.8, FDP_ITC.1, FDP_ITC.2, FIA_UIA_EXT, FIA_AFL, FIA_UAU, FIA_PMG_EXT, FIA_AFL.1, FIA_PMG_EXT.1, FIA_UIA_EXT.1, FIA_UAU.7, FIA_UIA_EXT.1.1, FIA_UIA_EXT.1.2, FIA_UIA_EXT.1.3, FIA_UIA_EXT.1.4, FIA_AFL.1.1, FIA_AFL.1.2, FIA_UAU.7.1, FIA_PMG_EXT.1.1, FIA_UAU.1, FIA_UID.1, FMT_MOF, FMT_MTD, FMT_SMF, FMT_SMR, FMT_SMF.1, FMT_SMR.2, FMT_MOF.1, FMT_MTD.1, FMT_SMF.1.1, FMT_SMR.2.1, FMT_SMR.2.2, FMT_SMR.2.3, FMT_SMR.1, FPT_SKP_EXT, FPT_STM_EXT, FPT_TST_EXT, FPT_TUD_EXT, FPT_ITT, FPT_APW_EXT, FPT_ITT.1, FPT_SKP_EXT.1, FPT_APW_EXT.1, FPT_TST_EXT.1, FPT_STM_EXT.1, FPT_TUD_EXT.1, FPT_TUD_EXT.2, FPT_TUD_EXT.1.2, FPT_SKP_EXT.1.1, FPT_STM_EXT.1.1, FPT_STM_EXT.1.2, FPT_TST_EXT.1.1, FPT_TST_EXT.1.2, FPT_TUD_EXT.1.1, FPT_TUD_EXT.1.3, FPT_ITT.1.1, FPT_APW_EXT.1.1, FPT_APW_EXT.1.2, FPT_TUD_EXT.2.1, FPT_TUD_EXT.2.2, FPT_TUD_EXT.2.3, FPT_TUD_EXT.2.4, FPT_PTD, FPT_SKP, FPT_STM, FPT_STM.1, FTA_SSL, FTA_TAB, FTA_SSL_EXT, FTA_SSL.3, FTA_SSL.4, FTA_SSL_EXT.1, FTA_TAB.1, FTA_SSL_EXT.1.1, FTP_ITC, FTP_TRP, FTP_ITC.1, FTP_TRP.1, FTP_ITC.1.1, FTP_ITC.1.2, FTP_ITC.1.3

Certification process
out of scope, cPP, and such functionality will be specified in other device-type specific cPPs. Also, considered out of scope are virus and emailing scanning, intrusion detection/prevention capabilities and Network Address, Figure 6: Distributed TOE use case with Management Component out of scope

References

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Processing updates

Feed
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile became unavailable — it disappeared from the upstream listing.
  • The protection profile data changed.
  • The protection profile was first processed.

Raw data

{
  "_id": "4704bfbdf61ca066",
  "_type": "sec_certs.sample.protection_profile.ProtectionProfile",
  "dgst": "4704bfbdf61ca066",
  "heuristics": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.Heuristics"
  },
  "pdf_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.PdfData",
    "pp_filename": "NDcPP_v3_0e.pdf",
    "pp_keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 1
          },
          "ECDH": {
            "ECDH": 3,
            "ECDHE": 6
          },
          "ECDSA": {
            "ECDSA": 9
          }
        },
        "FF": {
          "DH": {
            "DH": 17,
            "DHE": 12,
            "Diffie-Hellman": 20
          },
          "DSA": {
            "DSA": 1
          }
        }
      },
      "cc_cert_id": {},
      "cc_claims": {
        "A": {
          "A.ADMIN_CREDENTIALS_SECURE": 2,
          "A.COMPONENTS_RUNNING": 4,
          "A.LIMITED_FUNCTIONALITY": 2,
          "A.NO_THRU_TRAFFIC_PROTECTION": 3,
          "A.PHYSICAL_PROTECTION": 2,
          "A.REGULAR_UPDATES": 2,
          "A.RESIDUAL_INFORMATION": 2,
          "A.TRUSTED_ADMINISTRATOR": 2,
          "A.VS_CORRECT_CONFIGURATION": 2,
          "A.VS_ISOLATION": 2,
          "A.VS_REGULAR_UPDATES": 2,
          "A.VS_TRUSTED_ADMINISTRATOR": 2
        },
        "OE": {
          "OE.ADMIN_CREDENTIALS_SECURE": 3,
          "OE.COMPONENTS_RUNNING": 3,
          "OE.NO_GENERAL_PURPOSE": 3,
          "OE.NO_THRU_TRAFFIC_PROTECTION": 3,
          "OE.PHYSICAL": 4,
          "OE.RESIDUAL_INFORMATION": 3,
          "OE.TRUSTED_ADMIN": 4,
          "OE.UPDATES": 4,
          "OE.VM_CONFIGURATION": 4
        },
        "T": {
          "T.SECURITY_FUNCTIONALITY_COMPROMISE": 1,
          "T.SECURITY_FUNCTIONALITY_FAILURE": 1,
          "T.UNAUTHORIZED_ADMINISTRATOR_ACCESS": 1,
          "T.UNDETECTED_ACTIVITY": 2,
          "T.UNTRUSTED_COMMUNICATION_CHANNELS": 3,
          "T.UPDATE_COMPROMISE": 1,
          "T.WEAK_AUTHENTICATION_ENDPOINTS": 1,
          "T.WEAK_CRYPTOGRAPHY": 1
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ADV": {
          "ADV_FSP.1": 4
        },
        "AGD": {
          "AGD_OPE": 4,
          "AGD_OPE.1": 3,
          "AGD_PRE.1": 3
        },
        "ALC": {
          "ALC_CMC.1": 4,
          "ALC_CMS.1": 4,
          "ALC_FLR": 4,
          "ALC_FLR.1": 3,
          "ALC_FLR.2": 3,
          "ALC_FLR.3": 3
        },
        "APE": {
          "APE_CCL.1": 1,
          "APE_ECD.1": 1,
          "APE_INT.1": 1,
          "APE_OBJ.1": 1,
          "APE_REQ.1": 1,
          "APE_SPD.1": 1
        },
        "ASE": {
          "ASE_CCL.1": 1,
          "ASE_ECD.1": 1,
          "ASE_INT.1": 1,
          "ASE_OBJ.1": 1,
          "ASE_REQ.1": 1,
          "ASE_SPD.1": 1,
          "ASE_TSS.1": 4
        },
        "ATE": {
          "ATE_IND": 1,
          "ATE_IND.1": 3
        },
        "AVA": {
          "AVA_VAN": 2,
          "AVA_VAN.1": 5
        }
      },
      "cc_security_level": {},
      "cc_sfr": {
        "FAU": {
          "FAU_GEN": 21,
          "FAU_GEN.1": 12,
          "FAU_GEN.1.1": 3,
          "FAU_GEN.1.2": 1,
          "FAU_GEN.2": 6,
          "FAU_GEN.2.1": 1,
          "FAU_GEN_EXT": 4,
          "FAU_GEN_EXT.1": 17,
          "FAU_GEN_EXT.1.1": 2,
          "FAU_STG.1": 8,
          "FAU_STG.1.1": 1,
          "FAU_STG.1.2": 1,
          "FAU_STG_EXT": 10,
          "FAU_STG_EXT.1": 17,
          "FAU_STG_EXT.1.1": 5,
          "FAU_STG_EXT.1.2": 2,
          "FAU_STG_EXT.1.3": 2,
          "FAU_STG_EXT.1.4": 2,
          "FAU_STG_EXT.1.5": 5,
          "FAU_STG_EXT.1.6": 2,
          "FAU_STG_EXT.2": 13,
          "FAU_STG_EXT.2.1": 2,
          "FAU_STG_EXT.3": 13,
          "FAU_STG_EXT.3.1": 3,
          "FAU_STG_EXT.4": 13,
          "FAU_STG_EXT.4.1": 2,
          "FAU_STG_EXT.5": 11,
          "FAU_STG_EXT.5.1": 2
        },
        "FCO": {
          "FCO_CPC_EXT": 5,
          "FCO_CPC_EXT.1": 21,
          "FCO_CPC_EXT.1.1": 4,
          "FCO_CPC_EXT.1.2": 11,
          "FCO_CPC_EXT.1.3": 3
        },
        "FCS": {
          "FCS_CKM": 6,
          "FCS_CKM.1": 40,
          "FCS_CKM.1.1": 3,
          "FCS_CKM.2": 32,
          "FCS_CKM.2.1": 2,
          "FCS_CKM.4": 11,
          "FCS_CKM.4.1": 1,
          "FCS_COP": 149,
          "FCS_COP.1": 10,
          "FCS_NTP_EXT": 5,
          "FCS_NTP_EXT.1": 12,
          "FCS_NTP_EXT.1.1": 2,
          "FCS_NTP_EXT.1.2": 2,
          "FCS_NTP_EXT.1.3": 2,
          "FCS_NTP_EXT.1.4": 2,
          "FCS_RBG_EXT": 5,
          "FCS_RBG_EXT.1": 39,
          "FCS_RBG_EXT.1.1": 2,
          "FCS_RBG_EXT.1.2": 4,
          "FCS_TLSC_EXT": 15,
          "FCS_TLSC_EXT.1": 18,
          "FCS_TLSC_EXT.1.1": 5,
          "FCS_TLSC_EXT.1.2": 3,
          "FCS_TLSC_EXT.1.3": 2,
          "FCS_TLSC_EXT.1.4": 4,
          "FCS_TLSC_EXT.1.5": 3,
          "FCS_TLSC_EXT.1.6": 2,
          "FCS_TLSC_EXT.1.7": 2,
          "FCS_TLSC_EXT.1.8": 2,
          "FCS_TLSC_EXT.1.9": 2,
          "FCS_TLSC_EXT.2": 14,
          "FCS_TLSC_EXT.2.1": 2,
          "FCS_TLSS_EXT": 16,
          "FCS_TLSS_EXT.1": 20,
          "FCS_TLSS_EXT.1.1": 7,
          "FCS_TLSS_EXT.1.2": 2,
          "FCS_TLSS_EXT.1.3": 4,
          "FCS_TLSS_EXT.1.4": 2,
          "FCS_TLSS_EXT.1.5": 2,
          "FCS_TLSS_EXT.1.6": 2,
          "FCS_TLSS_EXT.1.7": 2,
          "FCS_TLSS_EXT.1.8": 2,
          "FCS_TLSS_EXT.2": 15,
          "FCS_TLSS_EXT.2.1": 2,
          "FCS_TLSS_EXT.2.2": 5,
          "FCS_TLSS_EXT.2.3": 3,
          "FCS_TLSS_EXT.2.4": 2
        },
        "FDP": {
          "FDP_ITC.1": 6,
          "FDP_ITC.2": 6
        },
        "FIA": {
          "FIA_AFL": 2,
          "FIA_AFL.1": 11,
          "FIA_AFL.1.1": 1,
          "FIA_AFL.1.2": 1,
          "FIA_PMG_EXT": 4,
          "FIA_PMG_EXT.1": 13,
          "FIA_PMG_EXT.1.1": 2,
          "FIA_UAU": 2,
          "FIA_UAU.1": 2,
          "FIA_UAU.7": 8,
          "FIA_UAU.7.1": 1,
          "FIA_UIA_EXT": 4,
          "FIA_UIA_EXT.1": 21,
          "FIA_UIA_EXT.1.1": 2,
          "FIA_UIA_EXT.1.2": 3,
          "FIA_UIA_EXT.1.3": 5,
          "FIA_UIA_EXT.1.4": 4,
          "FIA_UID.1": 2
        },
        "FMT": {
          "FMT_MOF": 44,
          "FMT_MOF.1": 5,
          "FMT_MTD": 20,
          "FMT_MTD.1": 7,
          "FMT_SMF": 2,
          "FMT_SMF.1": 31,
          "FMT_SMF.1.1": 1,
          "FMT_SMR": 2,
          "FMT_SMR.1": 6,
          "FMT_SMR.2": 12,
          "FMT_SMR.2.1": 1,
          "FMT_SMR.2.2": 2,
          "FMT_SMR.2.3": 2
        },
        "FPT": {
          "FPT_APW_EXT": 4,
          "FPT_APW_EXT.1": 13,
          "FPT_APW_EXT.1.1": 2,
          "FPT_APW_EXT.1.2": 2,
          "FPT_ITT": 9,
          "FPT_ITT.1": 43,
          "FPT_ITT.1.1": 3,
          "FPT_PTD": 1,
          "FPT_SKP": 1,
          "FPT_SKP_EXT": 4,
          "FPT_SKP_EXT.1": 11,
          "FPT_SKP_EXT.1.1": 2,
          "FPT_STM": 2,
          "FPT_STM.1": 2,
          "FPT_STM_EXT": 4,
          "FPT_STM_EXT.1": 12,
          "FPT_STM_EXT.1.1": 2,
          "FPT_STM_EXT.1.2": 4,
          "FPT_TST_EXT": 4,
          "FPT_TST_EXT.1": 11,
          "FPT_TST_EXT.1.1": 2,
          "FPT_TST_EXT.1.2": 2,
          "FPT_TUD_EXT": 7,
          "FPT_TUD_EXT.1": 15,
          "FPT_TUD_EXT.1.1": 4,
          "FPT_TUD_EXT.1.2": 4,
          "FPT_TUD_EXT.1.3": 4,
          "FPT_TUD_EXT.2": 14,
          "FPT_TUD_EXT.2.1": 1,
          "FPT_TUD_EXT.2.2": 2,
          "FPT_TUD_EXT.2.3": 2,
          "FPT_TUD_EXT.2.4": 2
        },
        "FTA": {
          "FTA_SSL": 3,
          "FTA_SSL.3": 8,
          "FTA_SSL.4": 7,
          "FTA_SSL_EXT": 5,
          "FTA_SSL_EXT.1": 14,
          "FTA_SSL_EXT.1.1": 2,
          "FTA_TAB": 2,
          "FTA_TAB.1": 13
        },
        "FTP": {
          "FTP_ITC": 10,
          "FTP_ITC.1": 56,
          "FTP_ITC.1.1": 5,
          "FTP_ITC.1.2": 1,
          "FTP_ITC.1.3": 2,
          "FTP_TRP": 45,
          "FTP_TRP.1": 15
        }
      },
      "certification_process": {
        "OutOfScope": {
          "Figure 6: Distributed TOE use case with Management Component out of scope": 1,
          "cPP, and such functionality will be specified in other device-type specific cPPs. Also, considered out of scope are virus and emailing scanning, intrusion detection/prevention capabilities and Network Address": 1,
          "out of scope": 2
        }
      },
      "cipher_mode": {
        "CBC": {
          "CBC": 3
        },
        "CTR": {
          "CTR": 2
        },
        "GCM": {
          "GCM": 4
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKE": 9,
          "IKEv1": 21,
          "IKEv2": 21
        },
        "IPsec": {
          "IPsec": 46
        },
        "SSH": {
          "SSH": 37
        },
        "TLS": {
          "DTLS": {
            "DTLS": 135,
            "DTLS 1.2": 57,
            "DTLS 1.3": 49
          },
          "SSL": {
            "SSL": 2
          },
          "TLS": {
            "TLS": 133,
            "TLS 1.2": 57,
            "TLS 1.3": 48
          }
        },
        "VPN": {
          "VPN": 2
        }
      },
      "crypto_scheme": {
        "AEAD": {
          "AEAD": 1
        },
        "KA": {
          "Key Agreement": 1
        },
        "MAC": {
          "MAC": 9
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "P-256": 4,
          "P-384": 6,
          "P-521": 4,
          "curve P-384": 2,
          "secp256r1": 12,
          "secp384r1": 12,
          "secp521r1": 12
        }
      },
      "eval_facility": {},
      "hash_function": {
        "SHA": {
          "SHA1": {
            "SHA-1": 6,
            "SHA1": 2
          },
          "SHA2": {
            "SHA-2": 2,
            "SHA-256": 7,
            "SHA-384": 3,
            "SHA-512": 5,
            "SHA256": 2,
            "SHA384": 4,
            "SHA512": 2
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 3
        },
        "RNG": {
          "RBG": 10
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "CC": {
          "CCMB-2017-04-001": 1,
          "CCMB-2017-04-002": 1,
          "CCMB-2017-04-003": 1,
          "CCMB-2017-04-004": 1
        },
        "FIPS": {
          "FIPS PUB 186-4": 5
        },
        "ISO": {
          "ISO/IEC 10118": 2,
          "ISO/IEC 14888-3": 1,
          "ISO/IEC 18031:2011": 5,
          "ISO/IEC 9796-2": 1
        },
        "NIST": {
          "NIST SP 800-57": 2,
          "SP 800-131A": 1
        },
        "PKCS": {
          "PKCS #1": 1
        },
        "RFC": {
          "RFC 1305": 2,
          "RFC 2409": 1,
          "RFC 2818": 3,
          "RFC 2986": 3,
          "RFC 3268": 4,
          "RFC 3526": 5,
          "RFC 3602": 8,
          "RFC 4106": 6,
          "RFC 4109": 1,
          "RFC 4301": 3,
          "RFC 4303": 2,
          "RFC 4304": 2,
          "RFC 4868": 6,
          "RFC 4945": 2,
          "RFC 5077": 10,
          "RFC 5114": 2,
          "RFC 5246": 22,
          "RFC 5280": 20,
          "RFC 5282": 2,
          "RFC 5288": 4,
          "RFC 5289": 8,
          "RFC 5746": 12,
          "RFC 5759": 3,
          "RFC 5905": 2,
          "RFC 6125": 10,
          "RFC 6347": 11,
          "RFC 6960": 3,
          "RFC 7296": 5,
          "RFC 7919": 5,
          "RFC 8017": 1,
          "RFC 8422": 4,
          "RFC 8446": 17,
          "RFC 9147": 11
        },
        "X509": {
          "X.509": 90
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 20
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 9,
            "HMAC-SHA-256": 3,
            "HMAC-SHA-384": 1,
            "HMAC-SHA-512": 3
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {
        "TLS": {
          "TLS_DHE_RSA_WITH_AES_128_CBC_SHA": 1,
          "TLS_DHE_RSA_WITH_AES_128_CBC_SHA256": 1,
          "TLS_DHE_RSA_WITH_AES_128_GCM_SHA256": 1,
          "TLS_DHE_RSA_WITH_AES_256_CBC_SHA": 1,
          "TLS_DHE_RSA_WITH_AES_256_CBC_SHA256": 1,
          "TLS_DHE_RSA_WITH_AES_256_GCM_SHA384": 1,
          "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA": 1,
          "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256": 1,
          "TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256": 1,
          "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA": 1,
          "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384": 1,
          "TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 1,
          "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA": 1,
          "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256": 1,
          "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256": 1,
          "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA": 1,
          "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384": 1,
          "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 1,
          "TLS_RSA_WITH_AES_128_CBC_SHA": 1,
          "TLS_RSA_WITH_AES_128_CBC_SHA256": 1,
          "TLS_RSA_WITH_AES_128_GCM_SHA256": 1,
          "TLS_RSA_WITH_AES_256_CBC_SHA": 1,
          "TLS_RSA_WITH_AES_256_CBC_SHA256": 1,
          "TLS_RSA_WITH_AES_256_GCM_SHA384": 1
        }
      },
      "vendor": {},
      "vulnerability": {}
    },
    "pp_metadata": {
      "/CreationDate": "D:20231206173655Z00\u002700\u0027",
      "/ModDate": "D:20231206173655Z00\u002700\u0027",
      "/Producer": "macOS Version 14.1.2 (Build 23B92) Quartz PDFContext",
      "pdf_file_size_bytes": 3713870,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "http://www.commoncriteriaportal.org/",
          "https://github.com/ND-iTC/Documents/blob/main/NDcPP_allowed_with_list.adoc"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 245
    },
    "report_filename": "CFG_NDcPP-IPS-FW-VPNGW_v2.0_VR.pdf",
    "report_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {},
      "cc_claims": {
        "A": {
          "A.ADMIN_CREDENTIALS_SECURE": 1,
          "A.COMPONENTS_RUNNING": 1,
          "A.CONNECTIONS": 2,
          "A.LIMITED_FUNCTIONALITY": 1,
          "A.NO_THRU_TRAFFIC_PROTECTION": 4,
          "A.PHYSICAL_PROTECTION": 1,
          "A.REGULAR_UPDATES": 1,
          "A.RESIDUAL_INFORMATION": 1,
          "A.TRUSTED_ADMINISTRATOR": 1,
          "A.VS_CORRECT_CONFIGURATION": 1,
          "A.VS_ISOLATION": 1,
          "A.VS_REGULAR_UPDATES": 1,
          "A.VS_TRUSTED_ADMINISTRATOR": 1
        },
        "O": {
          "O.ADDRESS_FILTERING": 1,
          "O.AUTHENTICATION": 1,
          "O.CRYPTOGRAPHIC_FUNCTIONS": 1,
          "O.FAIL_SECURE": 1,
          "O.IPS_ANALYZE": 1,
          "O.IPS_REACT": 1,
          "O.PORT_FILTERING": 1,
          "O.RESIDUAL_INFORMATION": 1,
          "O.STATEFUL_TRAFFIC_FILTERING": 1,
          "O.SYSTEM_MONITORING": 2,
          "O.TOE_ADMINISTRATION": 2
        },
        "OE": {
          "OE.ADMIN_CREDENTIALS_SECURE": 1,
          "OE.COMPONENTS_RUNNING": 1,
          "OE.CONNECTIONS": 2,
          "OE.NO_GENERAL_PURPOSE": 1,
          "OE.NO_THRU_TRAFFIC_PROTECTIO": 1,
          "OE.NO_THRU_TRAFFIC_PROTECTION": 3,
          "OE.PHYSICAL": 1,
          "OE.RESIDUAL_INFORMATION": 1,
          "OE.TRUSTED_ADMIN": 1,
          "OE.UPDATES": 1,
          "OE.VM_CONFIGURATION": 1
        },
        "T": {
          "T.DATA_INTEGRITY": 1,
          "T.MALICIOUS_TRAFFIC": 1,
          "T.NETWORK_ACCESS": 3,
          "T.NETWORK_DISCLOSURE": 3,
          "T.NETWORK_DOS": 1,
          "T.NETWORK_MISUSE": 3,
          "T.REPLAY_ATTACK": 1,
          "T.SECURITY_FUNCTIONALITY_COM": 1,
          "T.SECURITY_FUNCTIONALITY_FAIL": 1,
          "T.UNAUTHORIZED_ADMINISTRATO": 1,
          "T.UNDETECTED_ACTIVITY": 1,
          "T.UNTRUSTED_COMMUNICATION_": 1,
          "T.UPDATE_COMPROMISE": 1,
          "T.WEAK_AUTHENTICATION_ENDPO": 1,
          "T.WEAK_CRYPTOGRAPHY": 1
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ACE": {
          "ACE_CCL.1": 3,
          "ACE_CCO.1": 1,
          "ACE_ECD.1": 3,
          "ACE_INT.1": 3,
          "ACE_MCO.1": 1,
          "ACE_OBJ.1": 3,
          "ACE_REQ": 1,
          "ACE_REQ.1": 3,
          "ACE_SPD.1": 3
        },
        "APE": {
          "APE_CCL.1": 1,
          "APE_ECD.1": 1,
          "APE_INT.1": 1,
          "APE_OBJ.1": 1,
          "APE_REQ": 1,
          "APE_REQ.1": 1,
          "APE_SPD.1": 1
        }
      },
      "cc_security_level": {},
      "cc_sfr": {
        "FAU": {
          "FAU_ARP": 1,
          "FAU_GEN": 4,
          "FAU_GEN.1": 1,
          "FAU_GEN_EXT": 1,
          "FAU_SAR": 3,
          "FAU_STG": 3,
          "FAU_STG_EXT": 5
        },
        "FCO": {
          "FCO_CPC_EXT": 1
        },
        "FCS": {
          "FCS_CKM": 4,
          "FCS_COP": 5,
          "FCS_EAP_EXT": 1,
          "FCS_NTP_EXT": 1,
          "FCS_RBG_EXT": 1,
          "FCS_SSHC_EXT": 1,
          "FCS_TLSC_EXT": 2,
          "FCS_TLSS_EXT": 2
        },
        "FDP": {
          "FDP_RIP": 1,
          "FDP_RIP.2": 1
        },
        "FIA": {
          "FIA_AFL": 1,
          "FIA_HOTP_EXT": 1,
          "FIA_PMG_EXT": 1,
          "FIA_PSK_EXT": 3,
          "FIA_TOTP_EXT": 1,
          "FIA_UAU": 1,
          "FIA_UIA_EXT": 1
        },
        "FMT": {
          "FMT_MOF": 4,
          "FMT_MTD": 3,
          "FMT_SMF": 5,
          "FMT_SMR": 1
        },
        "FPT": {
          "FPT_APW_EXT": 1,
          "FPT_FLS": 2,
          "FPT_ITT": 1,
          "FPT_SKP_EXT": 1,
          "FPT_STM_EXT": 1,
          "FPT_TST_EXT": 3,
          "FPT_TUD_EXT": 3
        },
        "FRU": {
          "FRU_RSA": 1
        },
        "FTA": {
          "FTA_SSL": 3,
          "FTA_SSL_EXT": 1,
          "FTA_TAB": 1,
          "FTA_TSE": 1,
          "FTA_VCM_EXT": 1
        },
        "FTP": {
          "FTP_ITC": 1,
          "FTP_ITC.1": 1,
          "FTP_TRP": 2
        }
      },
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKE": 1
        },
        "IPsec": {
          "IPsec": 3
        },
        "SSH": {
          "SSH": 1
        },
        "TLS": {
          "DTLS": {
            "DTLS": 4
          },
          "TLS": {
            "TLS": 4
          }
        },
        "VPN": {
          "VPN": 27
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "Leidos": {
          "Leidos": 4
        }
      },
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {
        "X509": {
          "X.509": 7
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 2
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "report_metadata": {
      "/Author": "Brown, Michelle A",
      "/CreationDate": "D:20250314104901-04\u002700\u0027",
      "/Creator": "Microsoft\u00ae Word 2019",
      "/ModDate": "D:20250314104901-04\u002700\u0027",
      "/Producer": "Microsoft\u00ae Word 2019",
      "pdf_file_size_bytes": 332460,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "https://www.niap-ccevs.org/MMO/PP/481/#period_51",
          "https://www.niap-ccevs.org/MMO/PP/481/#period_52"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 29
    }
  },
  "scheme_metadata": null,
  "state": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.InternalState",
    "pp": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "f21c856f07a9210422de5d01da7842ec94f33fe6d11e80b8f740fa45c2c44ac6",
      "source_hash": "696349b04471739365a2f72e0ec2d0e0e14a501eac18b52620c1f24e3cd7e8be",
      "txt_hash": "ec9db5e17c7115d3a45175e3efe2eac65f6cd0add0cf0cdf288ec95a074e2e48"
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "db4a8229c71ec714734e8ae2e55e446938023ea6523ffc4be0f99907de086e6a",
      "source_hash": "70f51a9e1b8b596a9d18f9f642f2ed8b1186ca9f600fb497867a0b67e6a9849b",
      "txt_hash": "b52d4f33a7d090c4e8ceb4e5b042d86b0362dd80036566d0f4d38faef1318f1c"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.WebData",
    "category": "Network and Network-Related Devices and Systems",
    "is_collaborative": true,
    "maintenances": [],
    "name": "collaborative Protection Profile for Network Devices v3.0e",
    "not_valid_after": null,
    "not_valid_before": "2023-12-06",
    "pp_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/NDcPP_v3_0e.pdf",
    "report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/CFG_NDcPP-IPS-FW-VPNGW_v2.0_VR.pdf",
    "scheme": null,
    "security_level": {
      "_type": "Set",
      "elements": [
        "None"
      ]
    },
    "status": "active",
    "version": "3.0e"
  }
}